commit:     c678bec444ff7542d2f4b396b317544b18b203e6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 21 06:28:44 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul 21 06:28:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c678bec4

dev-ruby/locale: add ruby24

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/locale/locale-2.1.2-r1.ebuild | 50 ++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/dev-ruby/locale/locale-2.1.2-r1.ebuild 
b/dev-ruby/locale/locale-2.1.2-r1.ebuild
new file mode 100644
index 00000000000..3abd0f05bb3
--- /dev/null
+++ b/dev-ruby/locale/locale-2.1.2-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc/reference"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.rdoc doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pure ruby library which provides basic APIs for localization"
+HOMEPAGE="https://github.com/ruby-gettext/locale";
+LICENSE="|| ( Ruby GPL-2 )"
+SRC_URI="https://github.com/ruby-gettext/locale/archive/${PV}.tar.gz -> 
${P}-git.tgz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~x86-macos"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/test-unit-rr )"
+
+all_ruby_prepare() {
+       sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       if use doc ; then
+               yard || die
+       fi
+}
+
+each_ruby_test() {
+       ${RUBY} test/run-test.rb || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       insinto /usr/share/doc/${PF}
+       doins -r samples || die
+}

Reply via email to